Page MenuHomePhabricator

Upgrade Gerrit to 3.2.7
Closed, ResolvedPublic

Description

Latest Gerrit point release is 3.2.7, we run 3.2.5. Changelog https://www.gerritcodereview.com/3.2.html#327

It notably fixes:

Event Timeline

hashar triaged this task as High priority.Jan 28 2021, 8:36 PM
hashar updated the task description. (Show Details)

Change 659416 had a related patch set uploaded (by Hashar; owner: Hashar):
[operations/software/gerrit@wmf/stable-3.2] Merge tag 'v3.2.6' into wmf/stable-3.2

https://gerrit.wikimedia.org/r/659416

Change 659416 merged by jenkins-bot:
[operations/software/gerrit@wmf/stable-3.2] Merge tag 'v3.2.6' into wmf/stable-3.2

https://gerrit.wikimedia.org/r/659416

hashar renamed this task from Upgrade Gerrit to 3.2.6 to Upgrade Gerrit to 3.2.7.Feb 2 2021, 8:47 AM
hashar updated the task description. (Show Details)
hashar added a parent task: T263008: Gerrit out of heap.

Change 661056 had a related patch set uploaded (by Hashar; owner: Hashar):
[operations/software/gerrit@deploy/wmf/stable-3.2] Gerrit v3.2.7

https://gerrit.wikimedia.org/r/661056

Change 661056 merged by Hashar:
[operations/software/gerrit@deploy/wmf/stable-3.2] Gerrit v3.2.7

https://gerrit.wikimedia.org/r/661056

Mentioned in SAL (#wikimedia-operations) [2021-02-02T09:56:44Z] <hashar@deploy1001> Started deploy [gerrit/gerrit@c3cd63b]: Gerrit replica on gerrit2001 to v3.2.7 T273223

Mentioned in SAL (#wikimedia-operations) [2021-02-02T09:56:56Z] <hashar@deploy1001> Finished deploy [gerrit/gerrit@c3cd63b]: Gerrit replica on gerrit2001 to v3.2.7 T273223 (duration: 00m 12s)

Mentioned in SAL (#wikimedia-operations) [2021-02-02T10:00:02Z] <hashar> Restarted Gerrit replica on gerrit2001 # T273223

Mentioned in SAL (#wikimedia-operations) [2021-02-02T10:00:45Z] <hashar@deploy1001> Started deploy [gerrit/gerrit@c3cd63b]: Gerrit primary on gerrit1001 to v3.2.7 T273223

Mentioned in SAL (#wikimedia-operations) [2021-02-02T10:00:55Z] <hashar@deploy1001> Finished deploy [gerrit/gerrit@c3cd63b]: Gerrit primary on gerrit1001 to v3.2.7 T273223 (duration: 00m 09s)

Mentioned in SAL (#wikimedia-operations) [2021-02-02T10:02:40Z] <hashar> Restarted Gerrit primary on gerrit1001 # T273223